function SSS = function_E_SGP_sphere_rot( two_pi_R_over_h, d_rot, precision )
%function_E_SGP_sphere_rot 
%   calculates E_SGP_sphere_rot according to Eq.(134)

bssl_k = @(k) pi*((2*k + 1)/2).*(besselj(k + 1/2, two_pi_R_over_h).^2)/two_pi_R_over_h;
exp_k =  @(k) exp(-k.*(k + 1)*d_rot);

NBase = 10;

N1 = 0;
N2 = N1 + NBase - 1;
Sb = 0;
Sbe = 0;
dSb = 1;

while dSb > precision
    vb = bssl_k(N1:N2);
    Sb = Sb + sum(vb);
    dSb = 1.0 - Sb; % theoretically sum(vb, k, 0, inf) = 1
    dSb = exp_k(N2 + 1)*dSb;
    
    if dSb < -1e-11 % theoretically, dSb > 0
        disp(dSb);
        disp(two_pi_R_over_h);
        disp(d_rot);
        disp('!!! function_E_SGP_sphere_rot.m : WARNING : dSb < 0.0 !!!');
    end
    
    ve = exp_k(N1:N2);
    Sbe = Sbe + vb*ve';
        
    N1 = N2 + 1;
    N2 = N1 + NBase - 1;
end

SSS = Sbe;

end % of function_E_SGP_sphere_rotfunction_E_SGP_sphere_rot











