function ECHO = function_E_filled_rod_transl_only(rod_length_array, rod_width, T_full_array, small_delta, G_array)
%function_E_filled_rod_transl_only
%   calculates echo attenuation for nonrotating filled rods 
%   according to Eqs.(103)-(105) and (135) 


%----------------------------------------------------------------------

[gamma1H, ~, ~] = function_physical_consts();

%----------------------------------------------------------------------

[D0_array, eps_aniso_array, ~] = function_rod_diffusion_coefficients(rod_length_array, rod_width);

%----------------------------------------------------------------------

ECHO = zeros(length(rod_length_array), length(T_full_array), length(G_array));
for LLL = 1:length(rod_length_array)
    L = rod_length_array(LLL);
    D0 = D0_array(LLL);
    eps_aniso = eps_aniso_array(LLL);  
    for TTT = 1:length(T_full_array)
        disp([LLL, TTT]);
        T = T_full_array(TTT);
        tau_g = small_delta/T;
        for GGG = 1:length(G_array)
            G0 = G_array(GGG);
            beta_transl = gamma1H*G0*sqrt(D0*T)*T;
            fun_to_integrate = @(R) function_E_transl(beta_transl, eps_aniso, gamma1H*G0*R*T, tau_g);            
            ECHO(LLL, TTT, GGG) = integral(fun_to_integrate, 0, L/2, 'RelTol', 0, 'AbsTol', 1e-12)/(L/2);                                
        end
    end
end

%----------------------------------------------------------------------

end % of function_E_filled_rod_transl_only

