function E = function_E_transl(beta_transl, eps_aniso, beta_rot_array, taug)
%function_E_transl
%   Echo attenuation according to Eqs.(103)-(105)


%----------------------------------------------------------------------

E = zeros(size(beta_rot_array));
for RRR = 1:length(beta_rot_array) % The cycle allows to vary spin position R in [0, L/2] when integrating 
    
%----------------------------------------------------------------------

    Qg05 = @(taug) (1/3)*(taug.^2).*(3/2 - 2*taug);

%----------------------------------------------------------------------

                            
    Etransl = @(s) exp(-2*beta_transl.^2.*Qg05(taug).*...
                                (1 + eps_aniso.*(s.^2 - 1/3)));                            

%----------------------------------------------------------------------

%     E(RRR) = integral(fun_to_integrate, 0, 1, 'AbsTol', 1e-12, 'RelTol', 1e-12);
    E(RRR) = integral(Etransl, 0, 1, 'RelTol', 0, 'AbsTol', 1e-12);

%---------------------------------------------------------------------- 

end % RRR

end % of function_E_transl

