function [] = function__Fig_2_NMRDiffraction()
%function__Fig_2_NMRDiffraction
%   generates Fig.2 based on Eq.(134)

%------------------------------------------------------------------------

d_rot = 3;
two_pi_R_over_h_array = 1e-3:0.0001:12;

precision = 1e-12; 
E_SGP_sphere_rot = zeros(size(two_pi_R_over_h_array));
for iii = 1:length(two_pi_R_over_h_array)
    rrr = two_pi_R_over_h_array(iii);
    fff = function_E_SGP_sphere_rot(rrr, d_rot, precision);
    E_SGP_sphere_rot(iii) = fff;
end 

%------------------------------------------------------------------------

figure;
xxx = two_pi_R_over_h_array;
yyy = E_SGP_sphere_rot;
semilogy(xxx, yyy, '-b');

title('Figure 2. NMR diffraction, semilogy plot');
xlabel('2*pi*R/h');
ylabel('E\_SGP\_sphere\_rot');
axis([0 max(xxx) 5e-5 1]);
grid on;
drawnow;
pause(1);

%------------------------------------------------------------------------

fig_for_publication = figure;
semilogy(xxx, yyy, '-b', 'LineWidth', 2);
fig_for_publication.Units = 'centimeters';
fig_for_publication.Position = [3 3 8.5 8.5*(3/4)];
ax = gca;
ax.LineWidth = 1.5;
ax.YTick = [1e-5, 1e-4, 1e-3, 1e-2, 1e-1, 1e0];
yticklabels({'10^-^5', '10^-^4', '10^-^3', '10^-^2', '10^-^1', '10^0'});
ax.YAxis.MinorTickValues = [2e-5, 4e-5, 6e-5, 8e-5, ...
                            2e-4, 4e-4, 6e-4, 8e-4, ...
                            2e-3, 4e-3, 6e-3, 8e-3, ...
                            2e-2, 4e-2, 6e-2, 8e-2, ...
                            2e-1, 4e-1, 6e-1, 8e-1];
axis([0 max(xxx) 5e-5 1]);
grid on;
grid minor;
grid minor;

xlabel('$2{\pi}R/h$','Interpreter','latex','FontSize', 16);
ylabel('$E_{SGP,sphere,rot}$','Interpreter','latex','FontSize', 16);

drawnow;
pause(1);

% exportgraphics(fig_for_publication,'Fig2.pdf','ContentType','vector');
% exportgraphics(fig_for_publication,'Fig2.eps','ContentType','vector');
% exportgraphics(fig_for_publication,'Fig2.tiff','Resolution',2000);

%------------------------------------------------------------------------

end % of function__Fig_2_NMRDiffraction

