function [] = function__Fig_5_Dapparent()
%function__Fig_5_Dapparent
%   reads data from disc and plots Fig.5

% ------------------------------------------------------------

ddd = './data/'; % full = translation + rotation
fff = 'saved_by_function_array_of_end_point_labeled_rods_2020-06-06-21-48.mat';
ECHOloaded = load([ddd fff]);

rod_length_array = ECHOloaded.rod_length_array;
G_array = ECHOloaded.G_array;
Gmax = max(G_array);
small_delta = ECHOloaded.small_delta;
BIG_DELTA_array = ECHOloaded.BIG_DELTA_array;
rod_width = ECHOloaded.rod_width;

echo_L_T_G_array =  ECHOloaded.ECHO; % ECHO(LLL, TTT, GGG) 

% ------------------------------------------------------------

ddd = './data/'; % translation only
fff = 'saved_by_function_array_of_end_point_labeled_rods_transl_only_2020-06-06-22-20.mat';
ECHOloaded = load([ddd fff]);

rod_length_translation_only_array = ECHOloaded.rod_length_array;
G_translation_only_array = ECHOloaded.G_array;
Gmax_translation_only = max(G_translation_only_array);
small_delta_translation_only = ECHOloaded.small_delta;
BIG_DELTA_translation_only_array = ECHOloaded.BIG_DELTA_array;
rod_width_translation_only = ECHOloaded.rod_width;

if length(rod_length_translation_only_array) ~= length(rod_length_array) 
    disp(' ');
    disp('function\_\_Fig\_5: ERROR #1 !!!');
    disp(' ');
    return;
end

if length(G_translation_only_array) ~= length(G_array) 
    disp(' ');
    disp('function\_\_Fig\_5: ERROR #2: !!!');
    disp(' ');
    return;
end

C1 = sum(rod_length_translation_only_array ~=  rod_length_array);
C2 = sum(G_translation_only_array ~=  G_array);
C3 = Gmax_translation_only ~=  Gmax;
C4 = small_delta_translation_only ~=  small_delta;
C5 = rod_width_translation_only ~=  rod_width;
if C1 + C2 + C3 + C4 + C5 > 0
    disp(' ');
    disp('function\_\_Fig\_5: ERROR #3 !!!');
    disp(' ');
    return;
end

% ECHO = ECHOloaded.ECHO; % ECHO(LLL, TTT, GGG)
echo_L_T_G_translation_only_array = ECHOloaded.ECHO; % ECHO(LLL, TTT, GGG)

% ------------------------------------------------------------

[BIG_DELTA_array, IDX] = sort(BIG_DELTA_array);
echo_L_T_G_array = echo_L_T_G_array(:, IDX, :);

[BIG_DELTA_translation_only_array, IDX] = sort(BIG_DELTA_translation_only_array);
echo_L_T_G_translation_only_array = echo_L_T_G_translation_only_array(:, IDX, :);

% ------------------------------------------------------------

[gamma1H, ~, ~] = function_physical_consts();
gGd2 = (gamma1H*Gmax*small_delta)^2;

% ------------------------------------------------------------

figure;

c_rgb_line = ['-r'; '-g'; '-b'];

III = (BIG_DELTA_array == small_delta) + ...
      (BIG_DELTA_array == 150e-3) + ...
      (BIG_DELTA_array == 1000e-3);
III = find(III);

% ------------------------------------------------------------

subplot(2, 2, 1);

xxx = rod_length_array;
iii = 1;
for TTT = III
    bbb = BIG_DELTA_array(TTT) - small_delta/3;
    yyy = echo_L_T_G_array(:, TTT, end);
    yyy = -log(yyy)/bbb/gGd2;
%     D_app_full = yyy;
    max_yyy = 1e7*yyy(1);
    plot(xxx*1e4, 1e7*yyy, c_rgb_line(iii, :));
    drawnow;
    hold on;
    iii = iii + 1;
end
grid on;
ylabel('D^a^p^p  (10^-^7 cm^2 s^-^1)');
axis([0 10 0 1.3]);
title('[FULL]');
pbaspect([4 3 1]);
xticks(0:1:10);
xticklabels({' '});
yticks([0, 0.2, 0.4, 0.6, 0.8, 1.0, 1.2]);
yticklabels({'0.0', '0.2', '0.4', '0.6', '0.8', '1.0', '1.2'});
hold off;
drawnow;
pause(1);

% ------------------------------------------------------------

subplot(2, 2, 2);

xxx = rod_length_array;
iii = 1;
for TTT = III
    bbb = BIG_DELTA_translation_only_array(TTT) - small_delta/3;
    yyy = echo_L_T_G_translation_only_array(:, TTT, end);    
    yyy = -log(yyy)/bbb/gGd2;
%     D_app_transl = yyy;
    plot(xxx*1e4, 1e7*yyy, c_rgb_line(iii, :));
    drawnow;
    hold on;
    iii = iii + 1;
end
grid on;
ylabel('D^a^p^p_t_r_a_n_s_l  (10^-^7 cm^2 s^-^1)');
axis([0 10 0 1.3]);
title('[TRANSL]');
pbaspect([4 3 1]);
xticks(0:1:10);
xticklabels({' '});
yticks([0, 0.2, 0.4, 0.6, 0.8, 1.0, 1.2]);
yticklabels({'0.0', '0.2', '0.4', '0.6', '0.8', '1.0', '1.2'});
hold off;
drawnow;
pause(1);

% ------------------------------------------------------------

subplot(2, 2, 3);
xxx = rod_length_array;
iii = 1;
for TTT = III
    bbb = BIG_DELTA_array(TTT) - small_delta/3;
    yyy = echo_L_T_G_array(:, TTT, end);
    yyy = -log(yyy)/bbb/gGd2;
    
    vvv = echo_L_T_G_translation_only_array(:, TTT, end);
    vvv = -log(vvv)/bbb/gGd2;
    
    zzz = yyy - vvv;

    plot(xxx*1e4, 1e7*zzz, c_rgb_line(iii, :));
    drawnow;
    hold on;
    iii = iii + 1;
end
grid on;
ylabel('D^a^p^p_r_o_t_\__c_o_n_t_r  (10^-^7 cm^2 s^-^1)');
axis([0 10 0 max_yyy/4]);
title('[ROT\_CONTR] = [FULL] - [TRANSL]');
pbaspect([4 3 1]);
xticks(0:1:10);
yticks(0:0.05:0.25);
yticklabels({'0.00', '0.05', '0.10', '0.15', '0.20', '0.25'});
xlabel('Rod length (\mum)');
hold off;
drawnow;
pause(1);

% ------------------------------------------------------------

subplot(2, 2, 4);

iii = 1;
for TTT = III
    
    bbb = BIG_DELTA_array(TTT) - small_delta/3;
    yyy = echo_L_T_G_array(:, TTT, end);
    yyy = -log(yyy)/bbb/gGd2; % full apparent diffusion coefficient

    zzz = echo_L_T_G_translation_only_array(:, TTT, end);
    zzz = -log(zzz)/bbb/gGd2; % apparent diffusion coefficient due translation only

    acceleration = yyy./zzz;

    plot(xxx*1e4, acceleration, c_rgb_line(iii, :));
    hold on;
    drawnow;
    iii = iii + 1;
end
plot([0, 40], [2.5, 2.5], '--k');
xlabel('Rod length (\mum)');
title('[ROT\_ACCEL] = [FULL] / [TRANSL]');
grid on;
ylabel('a_D (a.u.)');
hold off;
axis([0 10 1.0 2.75]);
pbaspect([4 3 1]);
xticks(0:1:10);
yticks([1, 1.5, 2.0, 2.5]);
yticklabels({'1.0', '1.5', '2.0', '2.5'});
drawnow;
pause(1);

% ------------------------------------------------------------
% ------------------------------------------------------------
%  Publication quality
% ------------------------------------------------------------
% ------------------------------------------------------------

fig_for_publication = figure;
fig_for_publication.Units = 'centimeters';
fig_for_publication.Position = [3, 3, 16, 16*(3/4)];
c_rgb_line = ['-r'; '-g'; '-b'];

III = (BIG_DELTA_array == small_delta) + ...
      (BIG_DELTA_array == 150e-3) + ...
      (BIG_DELTA_array == 1000e-3);
III = find(III);

% ------------------------------------------------------------

subplot(2, 2, 1);

xxx = rod_length_array;
iii = 1;
for TTT = III
    bbb = BIG_DELTA_array(TTT) - small_delta/3;
    yyy = echo_L_T_G_array(:, TTT, end);
    yyy = -log(yyy)/bbb/gGd2;
%     D_app_full = yyy;
    max_yyy = 1e7*yyy(1);
    plot(xxx*1e4, 1e7*yyy, c_rgb_line(iii, :), 'LineWidth', 2);
    drawnow;
    hold on;
    iii = iii + 1;
end
ax = gca;
ax.LineWidth = 1.5;
grid on;
% ylabel('D^a^p^p  (10^-^7 cm^2 s^-^1)');
ylabel('$D^{app} \ (10^{-7} \mathrm{cm}^2 \mathrm{s}^{-1} ) $', 'interpreter', 'latex','FontSize', 12);
YMAX12 = 1.25;
axis([0 10 0 YMAX12]);
% title('[FULL]');
title('$D^{app}$', 'interpreter', 'latex','FontSize', 12);
pbaspect([4 3 1]);
xticks(0:1:10);
xticklabels({' '});
yticks([0, 0.2, 0.4, 0.6, 0.8, 1.0, 1.2]);
yticklabels({'0.0', '0.2', '0.4', '0.6', '0.8', '1.0', '1.2'});
text(-1, YMAX12*1.45/1.25, 'A', 'FontWeight', 'bold', 'FontSize', 18);
hold off;
drawnow;
pause(1);

% ------------------------------------------------------------

subplot(2, 2, 2);

xxx = rod_length_array;
iii = 1;
for TTT = III
    bbb = BIG_DELTA_translation_only_array(TTT) - small_delta/3;
    yyy = echo_L_T_G_translation_only_array(:, TTT, end);    
    yyy = -log(yyy)/bbb/gGd2;
%     D_app_transl = yyy;
    plot(xxx*1e4, 1e7*yyy, c_rgb_line(iii, :), 'LineWidth', 2);
    drawnow;
    hold on;
    iii = iii + 1;
end
ax = gca;
ax.LineWidth = 1.5;
grid on;
% ylabel('D^a^p^p_t_r_a_n_s_l  (10^-^7 cm^2 s^-^1)');
ylabel('$D^{app}_{transl} \ (10^{-7} \mathrm{cm}^2 \mathrm{s}^{-1} ) $', 'interpreter', 'latex','FontSize', 12);
% axis([0 10 0 1.3]);
axis([0 10 0 YMAX12]);
% title('[TRANSL]');
title('$D^{app}_{transl}$', 'interpreter', 'latex','FontSize', 12);
pbaspect([4 3 1]);
xticks(0:1:10);
xticklabels({' '});
yticks([0, 0.2, 0.4, 0.6, 0.8, 1.0, 1.2]);
yticklabels({'0.0', '0.2', '0.4', '0.6', '0.8', '1.0', '1.2'});
text(-1, YMAX12*1.45/1.25, 'B', 'FontWeight', 'bold', 'FontSize', 18);
hold off;
drawnow;
pause(1);

% ------------------------------------------------------------

subplot(2, 2, 3);
xxx = rod_length_array;
iii = 1;
for TTT = III
    bbb = BIG_DELTA_array(TTT) - small_delta/3;
    yyy = echo_L_T_G_array(:, TTT, end);
    yyy = -log(yyy)/bbb/gGd2;
    
    vvv = echo_L_T_G_translation_only_array(:, TTT, end);
    vvv = -log(vvv)/bbb/gGd2;
    
    zzz = yyy - vvv;

    plot(xxx*1e4, 1e7*zzz, c_rgb_line(iii, :), 'LineWidth', 2);
    drawnow;
    hold on;
    iii = iii + 1;
end
ax = gca;
ax.LineWidth = 1.5;
grid on;
% ylabel('D^a^p^p_r_o_t_\__c_o_n_t_r  (10^-^7 cm^2 s^-^1)');
% ylabel('$D^{app}_{rot\_contr} \ (10^{-7} \mathrm{cm}^2 \mathrm{s}^{-1} ) $', 'interpreter', 'latex','FontSize', 12);
ylabel('$D^{app}_{rot.contrib.} \ (10^{-7} \mathrm{cm}^2 \mathrm{s}^{-1} ) $', 'interpreter', 'latex','FontSize', 12);
YMAX3 =  max_yyy/4;
axis([0 10 0 YMAX3]);
% title('[ROT\_CONTR] = [FULL] - [TRANSL]');
% title('$D^{app}_{rot\_contr}$', 'interpreter', 'latex','FontSize', 12);
% title('$D^{app}_{rot\_contr}=D^{app}-D^{app}_{transl}$', 'interpreter', 'latex','FontSize', 12);
title('$D^{app}_{rot.contrib.}=D^{app}-D^{app}_{transl}$', 'interpreter', 'latex','FontSize', 12);
pbaspect([4 3 1]);
xticks(0:1:10);
yticks(0:0.05:0.25);
yticklabels({'0.00', '0.05', '0.10', '0.15', '0.20', '0.25'});
% xlabel('Rod length (\mum)');
xlabel('$L_{rod}\ \mathrm{(} \mathrm{\mu} \mathrm{m)}$ ', 'Interpreter', 'latex', 'FontSize', 12);
text(-1, YMAX3*1.45/1.25, 'C', 'FontWeight', 'bold', 'FontSize', 18);
hold off;
drawnow;
pause(1);

% ------------------------------------------------------------

subplot(2, 2, 4);

iii = 1;
for TTT = III
    
    bbb = BIG_DELTA_array(TTT) - small_delta/3;
    yyy = echo_L_T_G_array(:, TTT, end);
    yyy = -log(yyy)/bbb/gGd2; % full apparent diffusion coefficient

    zzz = echo_L_T_G_translation_only_array(:, TTT, end);
    zzz = -log(zzz)/bbb/gGd2; % apparent diffusion coefficient due translation only

    acceleration = yyy./zzz;

    plot(xxx*1e4, acceleration, c_rgb_line(iii, :), 'LineWidth', 2);
    hold on;
    drawnow;
    iii = iii + 1;
end
ax = gca;
ax.LineWidth = 1.5;
plot([0, 40], [2.5, 2.5], '--k',  'LineWidth', 2);
% xlabel('Rod length (\mum)');
xlabel('$L_{rod}\ \mathrm{(} \mathrm{\mu} \mathrm{m)}$ ', 'Interpreter', 'latex', 'FontSize', 12);
% title('[ROT\_ACCEL] = [FULL] / [TRANSL]');
% title('$a_{\scriptscriptstyle{D}}$', 'interpreter', 'latex','FontSize', 12);
title('$a_{\scriptscriptstyle{D}}=D^{app}/D^{app}_{transl}$', 'interpreter', 'latex','FontSize', 12);
grid on;
% ylabel('a_D (a.u.)');
ylabel('$a_{\scriptscriptstyle{D}}\ \mathrm{(a.u.)}$', 'interpreter', 'latex','FontSize', 12);
YMAX4 = 2.75;
axis([0 10 1.0 YMAX4]);
text(-1, 1 + (YMAX4 - 1)*1.45/1.25, 'D', 'FontWeight', 'bold', 'FontSize', 18);
pbaspect([4 3 1]);
xticks(0:1:10);
yticks([1, 1.5, 2.0, 2.5]);
yticklabels({'1.0', '1.5', '2.0', '2.5'});
hold off;
drawnow;
pause(1);

% ------------------------------------------------------------

% exportgraphics(fig_for_publication,'Fig5.pdf','ContentType','vector');
% exportgraphics(fig_for_publication,'Fig5.eps','ContentType','vector');
% exportgraphics(fig_for_publication,'Fig5.tiff','Resolution',1200);

% ------------------------------------------------------------

end % of function__Fig_5_Dapparent













