function [] = function_array_of_end_point_labeled_rods()
%function_array_of_end_point_labeled_rods
%   calculates echo attenuation according to Eq.(87) for end-labeled rod,
%   for an array of rod lengths, array of delays, and array of gradients.
%   The results are saved in *.mat file.

%----------------------------------------------------------------------

Mmax = 1000;
[I_mx, A_mx, R_mx, B_mx, u0] = function_I_A_R_B_u0_matrices(Mmax);

%----------------------------------------------------------------------

Lmin = 100*1e-7;    % in cm, 100 nm
Lmax = 42.25*1e-4;  % in cm, 42.25 um

%----------------------------------------------------------------------

rod_length_array = Lmin:(Lmin/10):Lmax; 
rod_width = 10*1e-7; % in cm, = 10 nm

%----------------------------------------------------------------------

Gmax = 32;
xxx = linspace(0, Gmax^2, 5);
G_array = sqrt(xxx);
G_array(1) = min([1 Gmax/100]);

%----------------------------------------------------------------------

small_delta = 5.4e-3; % 5.4 ms, gradient duration

BIG_DELTA_array = [small_delta  30e-3 50e-3 70e-3 100e-3 150e-3 200e-3 300e-3 500e-3 700e-3 1000e-3];   
T_full_array = BIG_DELTA_array + small_delta;

%----------------------------------------------------------------------
% Calculate attenuation

ECHO = function_E_array_of_L_T_G(rod_length_array, rod_width, T_full_array, small_delta, G_array, I_mx, A_mx, R_mx, B_mx, u0);

%----------------------------------------------------------------------

% fff = ['./data/saved_by_' mfilename '_' datestr(now, 'yyyy-mm-dd-HH-MM')];
% save(fff);

%----------------------------------------------------------------------

end % of function_array_of_end_point_labeled_rods











