function [] = function_array_of_filled_rods_transl_only()
%function_array_of_filled_rods_transl_only
%  calculates echo attenuation according to Eqs.(110)-(112), (135) for an array of
%  rod lengths, array of delays, and array of gradients.
%  The results are saved in *.mat file.

%----------------------------------------------------------------------

Lmin = 100*1e-7;    % in cm, 100 nm
Lmax = 42.25*1e-4;  % in cm, 42.25 um

%----------------------------------------------------------------------
 
rod_length_array = Lmin:(Lmin/10):Lmax; 
rod_width = 10*1e-7; % in cm, = 10 nm

%----------------------------------------------------------------------

Gmax = 32;
xxx = linspace(0, Gmax^2, 5);
G_array = sqrt(xxx);
G_array(1) = min([1 Gmax/100]);

%----------------------------------------------------------------------

small_delta = 5.4e-3; % 5.4 ms, gradient duration

BIG_DELTA_array = [small_delta  30e-3 50e-3 70e-3 100e-3 150e-3 200e-3 300e-3 500e-3 700e-3 1000e-3];  
T_full_array = BIG_DELTA_array + small_delta;

%----------------------------------------------------------------------
% Calculate attenuation

ECHO = function_E_filled_rod_transl_only(rod_length_array, rod_width, T_full_array, small_delta, G_array);

%----------------------------------------------------------------------

% fff = ['saved_by_' mfilename '_' datestr(now, 'yyyy-mm-dd-HH-MM')];
% save(fff);

%----------------------------------------------------------------------


end % of function_array_of_filled_rods_transl_only

