function helix_coefficients = function_helix_coefficients(Mmax, two_pi_R_over_h)
%function_helix_coefficients 
%   calculates coefficients according to Eq.(128)


% bssl_kx = @(k, x) (1i.^k).*sqrt(pi*(2*k + 1)/(2*x)).*besselj(k + 1/2, x);

bssl_kx = @(k, x) (1i.^k).*sqrt(2*k + 1).*function_spherical_bessel_kx(k, x);

helix_coefficients = (bssl_kx(0:(Mmax-1), two_pi_R_over_h))';

end

