function jkx = function_spherical_bessel_kx(k, x)
%function_spherical_bessel_kx
%  Spherical Bessel function of the first kind j_k(x)

x0 = 1e-9;
if x > x0
    jkx = sqrt(pi./(2*x)).*besselj(k + 1/2, x);
else
    jkx = x.^k; % asymptote to avoid 0/0 uncertainty when x -> 0
end

end % of function

